package com.tmerclub.cloud.cuerecycle.model.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆系列视图对象
 *
 * @author: frank
 * @create: 2025-04-10
 **/
@Data
@EqualsAndHashCode(callSuper = true)
public class CueSeriesVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @Schema(description = "主键")
    private Long id;
    /**
     * 系列名称
     */
    @Schema(description = "系列名称")
    private String name;
}
