package com.tmerclub.cloud.cuerecycle.service;

import com.tmerclub.cloud.cuerecycle.model.CueType;
import com.tmerclub.cloud.cuerecycle.model.dto.CueTypeDTO;

/**
 * 球杆类型Service接口
 *
 * @author: frank
 * @create: 2025-04-11
 **/
public interface CueTypeService {


    /**
     * 新增
     *
     * @param couponDTO 对象
     * @return 影响行数
     */
    int insert(CueTypeDTO couponDTO);

    /**
     * 修改
     *
     * @param cueType 对象
     * @return 影响行数
     */
    int update(CueType cueType);

    /**
     * 修改状态
     *
     * @param id     主键id
     * @param status 状态
     * @return 影响行数
     */
    int updateStatus(Long id, Integer status);
}
